Closed Bug 955486 Opened 7 years ago Closed 7 years ago

Awesometab should filter on all contacts not just preferred buddy

Categories

(Instantbird :: Conversation, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: aleth)

References

Details

Attachments

(1 file)

*** Original post on bio 2049 at 2013-07-13 15:09:00 UTC ***

It seems like the awesometab currently only filters on the preferred buddy this is not desirable as you might only know the name of one of your contact's usernames.

Steps to Reproduce:
1. Have a linked contact with two usernames: foo and the second has an alias set with the real name: "Roger"
2. Have the second account (with the alias) signed off (i.e. foo is the preferred buddy).
3. Filter on "Roger"

What Happens:
No one is found

What Should Happen:
We should find that buddy even though you didn't search on the preferred buddy.

Think of it this way: How am I supposed to know a priori which account is signed on?
*** Original post on bio 2049 at 2013-07-13 22:15:18 UTC ***

I find this bug report confusing :-(.

(In reply to comment #0)
> It seems like the awesometab currently only filters on the preferred buddy this
> is not desirable

It filters on the contact's display name. It doesn't care about buddies, and at this point it shouldn't care about them.

That said, it makes sense to do the filtering and ranking with all the info we have, but that sounds like something we should care about once we have a much more mature algorithm.

> Think of it this way: How am I supposed to know a priori which account is
> signed on?

Setting a local alias for contacts that have buddies with display names that don't contain the real name of the person seems a very reasonable workaround.

Also, I fail to understand how this issue is awesometab-specific. If you have a grouped contact and don't know the name of all its buddies, on the contacts window you will only see the name of the currently preferred buddy.

By the way, if this contact matters enough that you care, you probably had several conversations with it, so what you really want to address your use case is us to have a good ranking system for the awesometab, so that this contact is displayed (with whatever its current preferred buddy's display name) even when you don't type anything in the filter box.
*** Original post on bio 2049 at 2013-07-14 13:35:43 UTC ***

(In reply to comment #1)
> I find this bug report confusing :-(.
> 
> (In reply to comment #0)
> > It seems like the awesometab currently only filters on the preferred buddy this
> > is not desirable
> 
> It filters on the contact's display name. It doesn't care about buddies, and at
> this point it shouldn't care about them.
This doesn't make sense if the display name changes depending on who's logged in.

> That said, it makes sense to do the filtering and ranking with all the info we
> have, but that sounds like something we should care about once we have a much
> more mature algorithm.
That's fine, I'm just filing bugs on issues I've had using the awesometab.

> > Think of it this way: How am I supposed to know a priori which account is
> > signed on?
> 
> Setting a local alias for contacts that have buddies with display names that
> don't contain the real name of the person seems a very reasonable workaround.
I disagree.

> Also, I fail to understand how this issue is awesometab-specific. If you have a
> grouped contact and don't know the name of all its buddies, on the contacts
> window you will only see the name of the currently preferred buddy.
The difference is that I can scroll through the contact list and see who's online, but the awesometab is supposed to be based on searching and filtering, not looking through tons of contacts.

> By the way, if this contact matters enough that you care, you probably had
> several conversations with it, so what you really want to address your use case
> is us to have a good ranking system for the awesometab, so that this contact is
> displayed (with whatever its current preferred buddy's display name) even when
> you don't type anything in the filter box.
That's probably true.
Depends on: 955582
No longer depends on: 955582
Blocks: 955013
*** Original post on bio 2049 at 2013-10-29 18:09:36 UTC ***

Here are some more STR to see this bug:
1) Open conv with a contact which has merged accountbuddies with different names.
2) Have the accountbuddy go offline
3) Open awesometab. The contact now appears as offline in the newtab (as the existing conversation overrides everything else), even if one of the other merged accountbuddies is online. It's impossible to find the contact using the name of the online accountbuddy.
*** Original post on bio 2049 at 2013-10-29 19:08:17 UTC ***

(In reply to comment #3)

To address this case, shouldn't we search on the currently-preferred buddy (as opposed to the target of the existing conversation)?
*** Original post on bio 2049 at 2013-10-29 19:55:05 UTC ***

(In reply to comment #4)
> To address this case, shouldn't we search on the currently-preferred buddy (as
> opposed to the target of the existing conversation)?

I suspect adding that would be just as much work as searching all the associated buddy names.
Attached patch PatchSplinter Review
*** Original post on bio 2049 as attmnt 2995 at 2013-10-30 10:29:00 UTC ***

This won't work for existing conversations, but nhnt11 was planning to change the way those are implemented anyway, so I'll leave it up to him if he wants to take this as is.
Attachment #8354776 - Flags: review?(nhnt11)
Comment on attachment 8354776 [details] [diff] [review]
Patch

*** Original change on bio 2049 attmnt 2995 at 2013-11-06 14:14:51 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354776 - Flags: review?(nhnt11) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 2049 at 2013-11-06 16:51:22 UTC ***

http://hg.instantbird.org/instantbird/rev/ab6d7efaadd3

Can't wait to take advantage of this!
Assignee: nobody → aleth
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
Depends on: 955688
You need to log in before you can comment on or make changes to this bug.